Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

eZArticleCategory Member List

This is the complete list of members for eZArticleCategory, including all inherited members.

$Description | eZArticleCategory |
$EditorGroupID | eZArticleCategory |
$ExcludeFromSearch | eZArticleCategory |
$ID | eZArticleCategory |
$ImageID | eZArticleCategory |
$ListLimit | eZArticleCategory |
$Name | eZArticleCategory |
$OwnerID | eZArticleCategory |
$ParentID | eZArticleCategory |
$Placement | eZArticleCategory |
$SectionID | eZArticleCategory |
$SortMode | eZArticleCategory |
__construct( $id=-1) | eZArticleCategory |
addArticle( $value, $categoryid=false) | eZArticleCategory | static
articleCount( $fetchAll=true, $fetchPublished=true, $check_write=false) | eZArticleCategory |
articles( $sortMode="time", $fetchAll=true, $fetchPublished=true, $offset=0, $limit=50, $categoryID=0, $check_write=false) | eZArticleCategory |
bulkMailCategory( $asObject=true) | eZArticleCategory |
copyTree( $parentID, $parentCategory) | eZArticleCategory |
countByParent( $parent, $showAll=false, $user=false, $check_write=false) | eZArticleCategory |
delete( $catID=-1) | eZArticleCategory |
description( $asHTML=true) | eZArticleCategory |
editorGroup( $as_object=true) | eZArticleCategory |
excludeFromSearch() | eZArticleCategory |
fill( $category_array) | eZArticleCategory |
get( $id=-1) | eZArticleCategory |
getAll() | eZArticleCategory |
getByName( $name) | eZArticleCategory | static
getByParent( $parent, $showAll=false, $sortby='placement', $offset=0, $max=-1, $user=false, $check_write=false) | eZArticleCategory |
getTree( $parentID=0, $level=0) | eZArticleCategory |
id() | eZArticleCategory |
image( $AsObject=true) | eZArticleCategory |
isOwner( $user, $categoryID) | eZArticleCategory |
listLimit() | eZArticleCategory |
moveCategoryDown() | eZArticleCategory |
moveCategoryUp() | eZArticleCategory |
moveDown( $id) | eZArticleCategory |
moveUp( $id) | eZArticleCategory |
name( $asHTML=true) | eZArticleCategory |
owner( $as_object=true) | eZArticleCategory |
parent( $as_object=true) | eZArticleCategory |
path( $categoryID=0) | eZArticleCategory |
placement() | eZArticleCategory |
removeArticle( $value, $categoryid=false) | eZArticleCategory | static
search( $name, $showAll=false, $sortby='placement', $user=false) | eZArticleCategory | static
sectionID() | eZArticleCategory |
sectionIDStatic($categoryID) | eZArticleCategory | static
setBulkMailCategory( $value) | eZArticleCategory |
setDescription( $value) | eZArticleCategory |
setEditorGroup( $value) | eZArticleCategory |
setExcludeFromSearch( $value) | eZArticleCategory |
setImage( $value) | eZArticleCategory |
setListLimit( $value) | eZArticleCategory |
setName( $value) | eZArticleCategory |
setOwner( $value) | eZArticleCategory |
setParent( $value) | eZArticleCategory |
setPlacement( $value) | eZArticleCategory |
setSectionID( $value) | eZArticleCategory |
setSortMode( $value) | eZArticleCategory |
sortMode( $return_id=false) | eZArticleCategory |
store() | eZArticleCategory |
userHasPermision( $categoryID=-1, $read=true, $write=true, $user=false) | eZArticleCategory |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.